List schedules
Retrieves scheduled tasks. This endpoint supports filtering, sorting, and cursor-based pagination.
To retrieve the recipients for a schedule, use the List schedule recipients endpoint.
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Query Parameters
Search term for filtering schedules by name, dashboard name, or owner name (case-insensitive).
Filter schedules by delivery status.
success, error, canceled, none Filter schedules by destination type.
email, slack, webhook, sftp, s3 Filter by schedule type.
alert, schedule Filter schedules by content type: dashboard, single tile, workbook tab.
dashboard, single tile, workbook tab The field to sort results by. dashboardName is deprecated; use documentName instead.
scheduleName, dashboardName, documentName, ownerName, lastRun, lastRunStatus Direction for sorting results:
asc- Ascending order (A-Z, 0-9)desc- Descending order (Z-A, 9-0)
asc, desc Cursor for pagination from previous response nextCursor.
"eyJpZCI6IjEyMzQ1In0"
Number of results per page
1 <= x <= 10020
Filter schedules by the owner's membership ID. Use the List users endpoint to retrieve membership IDs.
API results vary by API key type:
- Organization API keys - When specified, only schedules for the specified owner are returned. Otherwise, all schedules in the organization are returned.
- Personal access token - When specified, only the token owner's membership ID is allowed. If another user's membership ID is provided, the API will return a
403 Forbiddenerror.
Filter schedules by embed entity:
- If used as the only filter, list all schedules in the embed entity
- If used with
ownerId, list only schedules for the specified user if they are associated with theembedEntity. The response will be empty if the specifiedownerIddoesn't have the entity. - Can be combined with other filters for more specific results
Filter schedules by the document's unique identifier. This identifier is shared by a document's dashboard and workbook. This can be retrieved by:
- Opening the document settings - Navigate to File > Document settings in the dashboard and then click Settings. The Identifier field contains the document's ID.
- Using the dashboard's URL - The string after
/dashboardsis the document's ID; for example:https://myorg.omniapp.co/dashboards/12db1a0a

